package ru.myitschool.work.data.local;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

public class CredentialsLocalDataSource {

    private static CredentialsLocalDataSource INSTANCE;

    private CredentialsLocalDataSource() {}

    public static synchronized CredentialsLocalDataSource getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new CredentialsLocalDataSource();
        }
        return INSTANCE;
    }

    @Nullable
    private String authData = null;

    public String setAuthData(@NonNull String login, @NonNull String password) {
        this.authData = okhttp3.Credentials.basic(login, password);
        return this.authData;
    }

    public void clear() {
        this.authData = null;
    }

    @Nullable
    public String getAuthData() {
        return authData;
    }
}
